Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ru.biosoft.access.support
Class AbstractExportDialog

    java.lang.Object
      java.awt.Component
          java.awt.Container
              java.awt.Window
                  java.awt.Dialog
                      javax.swing.JDialog
                          com.developmentontheedge.application.dialog.OkCancelDialog
                              ru.biosoft.access.support.AbstractExportDialog

All Implemented Interfaces:
  javax.accessibility.Accessible, java.awt.image.ImageObserver, java.awt.MenuContainer, javax.swing.RootPaneContainer, java.io.Serializable, javax.swing.WindowConstants

public abstract class AbstractExportDialog
extends OkCancelDialog

Abstract dialog for export.

See Also:
  Serialized Form

Nested Class Summary
`protected class` | `AbstractExportDialog.MPanel` Inner class for dialog panel implementation

Nested classes inherited from class javax.swing.JDialog
`javax.swing.JDialog.AccessibleJDialog`

Nested classes inherited from class java.awt.Dialog
`java.awt.Dialog.AccessibleAWTDialog`

Nested classes inherited from class java.awt.Window
`java.awt.Window.AccessibleAWTWindow`

Nested classes inherited from class java.awt.Container
`java.awt.Container.AccessibleAWTContainer`

Nested classes inherited from class java.awt.Component
`java.awt.Component.AccessibleAWTComponent, java.awt.Component.BltBufferStrategy, java.awt.Component.FlipBufferStrategy`

Field Summary
`protected TextPaneAppender` | `appender`
`static int` | `AUTODETECT_FORMAT` Format identifier
`protected BrowseTextField` | `browseTextField` Browse text
`protected static org.apache.log4j.Category` | `cat` A category
`protected javax.swing.JCheckBox` | `checkBoxCopyFile` copy file select box
`protected javax.swing.JCheckBox` | `checkBoxExportSequence`
`protected javax.swing.JCheckBox` | `checkBoxSortingSites`
`protected javax.swing.JComboBox` | `comboBoxFormat` Format selection combobox
`protected JobControlPane` | `controlPane` JobControlPane to control export process.
`protected static int` | `exportResult`
`protected ApplicationFrame` | `frame` A frame for dialog
`protected FunctionJobControl` | `jobControl`
`protected javax.swing.JComboBox` | `nameCombobox` Name selection combobox
`static int` | `NONE_FORMAT` Format identifier

Fields inherited from class com.developmentontheedge.application.dialog.OkCancelDialog
`buttonPanel, cancelButton, ERROR, okButton, result, SUCCESS`

Fields inherited from class javax.swing.JDialog
`accessibleContext, rootPane, rootPaneCheckingEnabled`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface javax.swing.WindowConstants
`DISPOSE_ON_CLOSE, DO_NOTHING_ON_CLOSE, EXIT_ON_CLOSE, HIDE_ON_CLOSE`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`AbstractExportDialog(ApplicationFrame frame, javax.swing.JDialog parent, java.lang.String dialogName, java.lang.String[] formatList, java.lang.String dcPath, java.lang.String selectedProject, boolean haveCheckBox)` A constructor of AbstractExportDialog
`AbstractExportDialog(ApplicationFrame frame, javax.swing.JFrame parent, java.lang.String dialogName, java.lang.String[] formatList, java.lang.String dcPath, java.lang.String selectedProject, boolean haveCheckBox)` A constructor of AbstractExportDialog
`AbstractExportDialog(ApplicationFrame frame, java.lang.String dialogName)` A constructor of AbstractIxportDialog
`AbstractExportDialog(ApplicationFrame frame, java.lang.String dialogName, java.lang.String[] formatList)` A constructor of AbstractExportDialog

Method Summary
`protected void` | `cancelPressed()` Invoked when "Cancel" button is pressed.
`protected abstract BrowseTextField` | `createBrowseTextField()`
`protected abstract void` | `doExport(int format, java.lang.String filePath, java.lang.String fileName, boolean copyFile, boolean sortSites, boolean exportSequence, FunctionJobControl jobControl)` Abstract function, which is called when ok button is pressed.
`protected void` | `exportSuccess()`
`java.io.File` | `getFile()` Get selected file
`java.lang.String` | `getFileName()` Get input file name
`int` | `getFormat()` Get format identifier
`JobControl` | `getJobControl()` JobControl for Match - allows to control Match
`void` | `init(java.lang.String[] formatList, java.lang.String dcPath, java.lang.String selectedProject, boolean showCheckBoxCopyFile, ApplicationFrame frame)` Initialization function
`boolean` | `isCopyFile()` Do user want to copy file?
`protected void` | `okPressed()` overrided okPressed function
`void` | `setCopyFile(boolean f)` Set copy file checkbox value
`void` | `setEnabled(boolean b)`
`void` | `setFileName(java.lang.String name)` Set input file name
`void` | `setFormat(int idx)` Set format index
`void` | `setNameIndex(int index)` Set output dc name
`protected void` | `tryAgain()`
`protected void` | `updateOkButton()`

Methods inherited from class com.developmentontheedge.application.dialog.OkCancelDialog
`doModal, exited, getCancelButton, getOkButton, setContent`

Methods inherited from class javax.swing.JDialog
`addImpl, createRootPane, dialogInit, getAccessibleContext, getContentPane, getDefaultCloseOperation, getGlassPane, getJMenuBar, getLayeredPane, getRootPane, isDefaultLookAndFeelDecorated, isRootPaneCheckingEnabled, paramString, processWindowEvent, remove, setContentPane, setDefaultCloseOperation, setDefaultLookAndFeelDecorated, setGlassPane, setJMenuBar, setLayeredPane, setLayout, setRootPane, setRootPaneCheckingEnabled, update`

Methods inherited from class java.awt.Dialog
`addNotify, dispose, getTitle, hide, isModal, isResizable, isUndecorated, setModal, setResizable, setTitle, setUndecorated, show`

Methods inherited from class java.awt.Window
`addPropertyChangeListener, addPropertyChangeListener, addWindowFocusListener, addWindowListener, addWindowStateListener, applyResourceBundle, applyResourceBundle, createBufferStrategy, createBufferStrategy, finalize, getBufferStrategy, getFocusableWindowState, getFocusCycleRootAncestor, getFocusOwner, getFocusTraversalKeys, getGraphicsConfiguration, getInputContext, getListeners, getLocale, getMostRecentFocusOwner, getOwnedWindows, getOwner, getToolkit, getWarningString, getWindowFocusListeners, getWindowListeners, getWindowStateListeners, isActive, isFocusableWindow, isFocusCycleRoot, isFocused, isShowing, pack, postEvent, processEvent, processWindowFocusEvent, processWindowStateEvent, removeWindowFocusListener, removeWindowListener, removeWindowStateListener, setCursor, setFocusableWindowState, setFocusCycleRoot, setLocationRelativeTo, toBack, toFront`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getAlignmentX, getAlignmentY, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getContainerListeners, getFocusTraversalPolicy, getInsets, getLayout, getMaximumSize, getMinimumSize, getPreferredSize, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paint, paintComponents, preferredSize, print, printComponents, processContainerEvent, remove, removeAll, removeContainerListener, removeNotify, setFocusTraversalKeys, setFocusTraversalPolicy, setFont, transferFocusBackward, transferFocusDownCycle, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, contains, createImage, createImage, createVolatileImage, createVolatileImage, disable, disableEvents, dispatchEvent, enable, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getGraphics, getHeight, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocation, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getSize, getTreeLock, getWidth, getX, getY, gotFocus, handleEvent, hasFocus, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isDoubleBuffered, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isOpaque, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, prepareImage, prepareImage, printAll, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processKeyEvent, processMouseEvent, processMouseMotionEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, repaint, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, reshape, resize, resize, setBackground, setBounds, setBounds, setComponentOrientation, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setForeground, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, setVisible, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### frame

    protected ApplicationFrame frame

  A frame for dialog

### browseTextField

    protected BrowseTextField browseTextField

  Browse text

### comboBoxFormat

    protected javax.swing.JComboBox comboBoxFormat

  Format selection combobox

### nameCombobox

    protected javax.swing.JComboBox nameCombobox

  Name selection combobox

### checkBoxCopyFile

    protected javax.swing.JCheckBox checkBoxCopyFile

  copy file select box

### checkBoxSortingSites

    protected javax.swing.JCheckBox checkBoxSortingSites

### checkBoxExportSequence

    protected javax.swing.JCheckBox checkBoxExportSequence

### NONE_FORMAT

    public static final int NONE_FORMAT

  Format identifier

  See Also:
    Constant Field Values

### AUTODETECT_FORMAT

    public static final int AUTODETECT_FORMAT

  Format identifier

  See Also:
    Constant Field Values

### controlPane

    protected JobControlPane controlPane

  JobControlPane to control export process.

### appender

    protected TextPaneAppender appender

### cat

    protected static org.apache.log4j.Category cat

  A category

### exportResult

    protected static int exportResult

### jobControl

    protected FunctionJobControl jobControl

Constructor Detail

### AbstractExportDialog

    public AbstractExportDialog(ApplicationFrame frame,
                                java.lang.String dialogName)

  A constructor of AbstractIxportDialog

Parameters:
  `frame` - a frame
  `dialogName` - a name of dialog

### AbstractExportDialog

    public AbstractExportDialog(ApplicationFrame frame,
                                java.lang.String dialogName,
                                java.lang.String[] formatList)

  A constructor of AbstractExportDialog

Parameters:
  `frame` - a frame
  `dialogName` - a name of dialog
  `formatList` - list of stings for format selection combobox

### AbstractExportDialog

    public AbstractExportDialog(ApplicationFrame frame,
                                javax.swing.JFrame parent,
                                java.lang.String dialogName,
                                java.lang.String[] formatList,
                                java.lang.String dcPath,
                                java.lang.String selectedProject,
                                boolean haveCheckBox)

  A constructor of AbstractExportDialog

Parameters:
  `frame` - a frame
  `parent` - a dialog parent
  `dialogName` - a dialog name
  `formatList` - list of stings for format selection combobox
  `haveCheckBox` - have checkbox....

### AbstractExportDialog

    public AbstractExportDialog(ApplicationFrame frame,
                                javax.swing.JDialog parent,
                                java.lang.String dialogName,
                                java.lang.String[] formatList,
                                java.lang.String dcPath,
                                java.lang.String selectedProject,
                                boolean haveCheckBox)

  A constructor of AbstractExportDialog

Parameters:
  `frame` - a frame
  `parent` - a dialog parent
  `dialogName` - a dialog name
  `formatList` - list of stings for format selection combobox
  `haveCheckBox` - have checkbox....

Method Detail

### createBrowseTextField

    protected abstract BrowseTextField createBrowseTextField()

### init

    public void init(java.lang.String[] formatList,
                     java.lang.String dcPath,
                     java.lang.String selectedProject,
                     boolean showCheckBoxCopyFile,
                     ApplicationFrame frame)

  Initialization function

  Parameters:
    `formatList` - list of stings for format selection combobox
    `showCheckBoxCopyFile` - does dialog have checkbox
    `frame` - a frame

### getFile

    public java.io.File getFile()
                         throws java.lang.Exception

  Get selected file

  Returns:
    a file
  Throws:
    `java.lang.Exception`

### getFormat

    public int getFormat()

  Get format identifier

  Returns:
    format identifier

### getFileName

    public java.lang.String getFileName()
                                 throws java.lang.Exception

  Get input file name

  Returns:
    a file name
  Throws:
    `<{Exception}>`
    `java.lang.Exception`

### isCopyFile

    public boolean isCopyFile()

  Do user want to copy file?

  Returns:
    is copy file selector choosed?

### doExport

    protected abstract void doExport(int format,
                                     java.lang.String filePath,
                                     java.lang.String fileName,
                                     boolean copyFile,
                                     boolean sortSites,
                                     boolean exportSequence,
                                     FunctionJobControl jobControl)

  Abstract function, which is called when ok button is pressed. Implement this fuction to make an action of this dialog

  Parameters:
    `format` - selected format
    `filePath` - a file path (with file name)
    `fileName` - a file name
    `copyFile` - is file copied
    `sortSites` - sort sites by thier positions

### cancelPressed

    protected void cancelPressed()

  Invoked when "Cancel" button is pressed.

  Overrides:
    `cancelPressed` in class `OkCancelDialog`

### okPressed

    protected void okPressed()

  overrided okPressed function

  Overrides:
    `okPressed` in class `OkCancelDialog`

### setEnabled

    public void setEnabled(boolean b)

### tryAgain

    protected void tryAgain()

### exportSuccess

    protected void exportSuccess()

### getJobControl

    public JobControl getJobControl()

  JobControl for Match - allows to control Match

### setFileName

    public void setFileName(java.lang.String name)

  Set input file name

  Parameters:
    `name` - a file name

### setNameIndex

    public void setNameIndex(int index)

  Set output dc name

### setFormat

    public void setFormat(int idx)

  Set format index

  Parameters:
    `idx` - a index

### setCopyFile

    public void setCopyFile(boolean f)

  Set copy file checkbox value

  Parameters:
    `f` - should file be copied?

### updateOkButton

    protected void updateOkButton()

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Biosof.Ru. All Rights Reserved.